org.apache.solr.uninverting

## Enum UninvertingReader.Type

- java.lang.Object
- - java.lang.Enum<UninvertingReader.Type>
  - - org.apache.solr.uninverting.UninvertingReader.Type

- All Implemented Interfaces:
    Serializable, Comparable<UninvertingReader.Type>
  Enclosing class:
    UninvertingReader

      public static enum UninvertingReader.Type
      extends Enum<UninvertingReader.Type>

  Specifies the type of uninversion to apply for the field.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINARY` Single-valued Binary, (e.g.
    `DOUBLE_POINT` Single-valued Integer, (e.g.
    `FLOAT_POINT` Single-valued Integer, (e.g.
    `INTEGER_POINT` Single-valued Integer, (e.g.
    `LEGACY_DOUBLE` Deprecated. Index with points and use `DOUBLE_POINT` instead.
    `LEGACY_FLOAT` Deprecated. Index with points and use `FLOAT_POINT` instead.
    `LEGACY_INTEGER` Deprecated. Index with points and use `INTEGER_POINT` instead.
    `LEGACY_LONG` Deprecated. Index with points and use `LONG_POINT` instead.
    `LONG_POINT` Single-valued Integer, (e.g.
    `SORTED` Single-valued Binary, (e.g.
    `SORTED_SET_BINARY` Multi-valued Binary, (e.g.
    `SORTED_SET_DOUBLE` Multi-valued Double, (e.g.
    `SORTED_SET_FLOAT` Multi-valued Float, (e.g.
    `SORTED_SET_INTEGER` Multi-valued Integer, (e.g.
    `SORTED_SET_LONG` Multi-valued Long, (e.g.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UninvertingReader.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UninvertingReader.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTEGER_POINT

          public static final UninvertingReader.Type INTEGER_POINT

      Single-valued Integer, (e.g. indexed with `IntPoint`)

      Fields with this type act as if they were indexed with `NumericDocValuesField`.

    - #### LONG_POINT

          public static final UninvertingReader.Type LONG_POINT

      Single-valued Integer, (e.g. indexed with `LongPoint`)

      Fields with this type act as if they were indexed with `NumericDocValuesField`.

    - #### FLOAT_POINT

          public static final UninvertingReader.Type FLOAT_POINT

      Single-valued Integer, (e.g. indexed with `FloatPoint`)

      Fields with this type act as if they were indexed with `NumericDocValuesField`.

    - #### DOUBLE_POINT

          public static final UninvertingReader.Type DOUBLE_POINT

      Single-valued Integer, (e.g. indexed with `DoublePoint`)

      Fields with this type act as if they were indexed with `NumericDocValuesField`.

    - #### LEGACY_INTEGER

          @Deprecated
          public static final UninvertingReader.Type LEGACY_INTEGER

      Deprecated. Index with points and use `INTEGER_POINT` instead.
      Single-valued Integer, (e.g. indexed with `LegacyIntField`)

      Fields with this type act as if they were indexed with `NumericDocValuesField`.

    - #### LEGACY_LONG

          @Deprecated
          public static final UninvertingReader.Type LEGACY_LONG

      Deprecated. Index with points and use `LONG_POINT` instead.
      Single-valued Long, (e.g. indexed with `LegacyLongField`)

      Fields with this type act as if they were indexed with `NumericDocValuesField`.

    - #### LEGACY_FLOAT

          @Deprecated
          public static final UninvertingReader.Type LEGACY_FLOAT

      Deprecated. Index with points and use `FLOAT_POINT` instead.
      Single-valued Float, (e.g. indexed with `LegacyFloatField`)

      Fields with this type act as if they were indexed with `NumericDocValuesField`.

    - #### LEGACY_DOUBLE

          @Deprecated
          public static final UninvertingReader.Type LEGACY_DOUBLE

      Deprecated. Index with points and use `DOUBLE_POINT` instead.
      Single-valued Double, (e.g. indexed with `LegacyDoubleField`)

      Fields with this type act as if they were indexed with `NumericDocValuesField`.

    - #### BINARY

          public static final UninvertingReader.Type BINARY

      Single-valued Binary, (e.g. indexed with `StringField`)

      Fields with this type act as if they were indexed with `BinaryDocValuesField`.

    - #### SORTED

          public static final UninvertingReader.Type SORTED

      Single-valued Binary, (e.g. indexed with `StringField`)

      Fields with this type act as if they were indexed with `SortedDocValuesField`.

    - #### SORTED_SET_BINARY

          public static final UninvertingReader.Type SORTED_SET_BINARY

      Multi-valued Binary, (e.g. indexed with `StringField`)

      Fields with this type act as if they were indexed with `SortedSetDocValuesField`.

    - #### SORTED_SET_INTEGER

          public static final UninvertingReader.Type SORTED_SET_INTEGER

      Multi-valued Integer, (e.g. indexed with `LegacyIntField`)

      Fields with this type act as if they were indexed with `SortedSetDocValuesField`.

    - #### SORTED_SET_FLOAT

          public static final UninvertingReader.Type SORTED_SET_FLOAT

      Multi-valued Float, (e.g. indexed with `LegacyFloatField`)

      Fields with this type act as if they were indexed with `SortedSetDocValuesField`.

    - #### SORTED_SET_LONG

          public static final UninvertingReader.Type SORTED_SET_LONG

      Multi-valued Long, (e.g. indexed with `LegacyLongField`)

      Fields with this type act as if they were indexed with `SortedSetDocValuesField`.

    - #### SORTED_SET_DOUBLE

          public static final UninvertingReader.Type SORTED_SET_DOUBLE

      Multi-valued Double, (e.g. indexed with `LegacyDoubleField`)

      Fields with this type act as if they were indexed with `SortedSetDocValuesField`.

  - ### Method Detail

    - #### values

          public static UninvertingReader.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UninvertingReader.Type c : UninvertingReader.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UninvertingReader.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.